using System;
using System.Windows.Forms;
using fomm.Scripting;

class Script : BaseScript {
	public static bool OnActivate() {
        //Install all files from the fomod and activate any esps
        Version requiredGameVersion = new Version(1, 6);
        if (GetFalloutVersion() < requiredGameVersion)
        {
            DialogResult res = MessageBox("You are using an unpatched version of the game that cause a"
                + " crash on load after uninstalling this mod, unless you remove the perk first. Please patch your game.",
                "Error", MessageBoxButtons.OKCancel);
            if (res == DialogResult.Cancel)
            {
                return false;
            }
        }
        PerformBasicInstall();
		return true;
	}
}
